{
    "abstract": "Pavement crack detection is crucial for ensuring road safety and reducing maintenance costs. Existing methods typically use convolutional neural networks (CNNs) to extract multi-level features from pavement images and employ attention mechanisms to enhance global features. However, the fusion of low-level features introduces substantial interference, leading to low detection accuracy for small-scale cracks with subtle local structures and varying global morphologies. In this paper, we propose a computationally efficient deep learning network with CNNs and multi-scale attention for multi-scale crack detection, named Crack-MsCGA. In this network, we avoid fusing low-level features to reduce noise interference. Then, we propose a multi-scale attention mechanism (MsCGA) to learn local detail features and global features from high-level features, compensating for the reduced detailed information. Specifically, first, MsCGA employs local window attention to learn short-range dependencies, aggregating local features within each window. Second, it applies a cascaded group attention mechanism to learn long-range dependencies, extracting global features across the entire image. Finally, it uses a multi-scale attention fusion strategy based on Mixed Local Channel Attention (MLCA) selectively to fuse local features and global features of pavement cracks. Compared with five existing methods, it improves the AP@50 by 11.3% for small-scale, 8.1% for medium-scale, and 5.9% for large-scale detection over the state-of-the-art methods in the DH807 dataset.",
    "authors": [
        {
            "affiliation": "College of Big Data and Intelligent Engineering, Southwest Forestry University, Kunming 650224, China.",
            "firstname": "Guoxi",
            "initials": "G",
            "lastname": "Liu"
        },
        {
            "affiliation": "College of Big Data and Intelligent Engineering, Southwest Forestry University, Kunming 650224, China.",
            "firstname": "Xiaojing",
            "initials": "X",
            "lastname": "Wu"
        },
        {
            "affiliation": "College of Big Data and Intelligent Engineering, Southwest Forestry University, Kunming 650224, China.",
            "firstname": "Fei",
            "initials": "F",
            "lastname": "Dai"
        },
        {
            "affiliation": "School of Computer Science and Engineering, South China University of Technology, Guangzhou 510641, China.",
            "firstname": "Guozhi",
            "initials": "G",
            "lastname": "Liu"
        },
        {
            "affiliation": "College of Big Data and Intelligent Engineering, Southwest Forestry University, Kunming 650224, China.",
            "firstname": "Lecheng",
            "initials": "L",
            "lastname": "Li"
        },
        {
            "affiliation": "College of Big Data and Intelligent Engineering, Southwest Forestry University, Kunming 650224, China.",
            "firstname": "Bi",
            "initials": "B",
            "lastname": "Huang"
        }
    ],
    "conclusions": null,
    "copyrights": null,
    "doi": "10.3390/s25082446\n10.1016/j.conbuildmat.2021.126162\n10.1109/JSEN.2023.3281585\n10.1109/JSEN.2023.3267834\n10.1109/TPAMI.2016.2577031\n10.1109/CCDC58219.2023.10327444\n10.1109/TITS.2022.3177210\n10.1016/j.cosrev.2024.100645\n10.1109/TASE.2013.2294687\n10.1109/TITS.2015.2477675\n10.1002/rob.21725\n10.5194/isprs-archives-XLI-B1-689-2016\n10.1111/mice.13186\n10.1109/TPAMI.2014.2300479\n10.1016/j.patrec.2011.11.004\n10.1109/TITS.2016.2552248\n10.1111/mice.12962\n10.1016/j.autcon.2025.106045\n10.1016/j.autcon.2024.105887\n10.1016/j.autcon.2024.105410\n10.1111/mice.13111\n10.1111/mice.13103\n10.1111/mice.12851\n10.1016/j.engappai.2023.106442\n10.1109/TITS.2022.3221067\n10.1109/TITS.2024.3437770\n10.1016/j.eswa.2023.121352",
    "journal": "Sensors (Basel, Switzerland)",
    "keywords": [
        "multi-scale attention fusion",
        "multi-scale crack detection",
        "pavement crack detection",
        "small-scale crack detection"
    ],
    "methods": null,
    "publication_date": "2025-04-26",
    "pubmed_id": "40285136\n27295650\n26353336\n39839708",
    "results": null,
    "title": "Crack-MsCGA: A Deep Learning Network with Multi-Scale Attention for Pavement Crack Detection.",
    "xml": "<Element 'PubmedArticle' at 0x78850698f790>"
}